1. Bulk Airtime
PAYBETA API
  • Bill Payment API
  • Webhook
  • Paybeta Commission
  • Scheduled Payments
  • Airtime
    • Providers
      GET
    • Payment
      POST
  • Data Bundle
    • Get Providers
      GET
    • Get Data Bundles
      POST
    • Payment
      POST
  • Cable TV
    • Get Providers
      GET
    • Get Bouquet
      POST
    • Validate Account
      POST
    • Payment
      POST
  • Electricity
    • Get Providers
      GET
    • Validate Account
      POST
    • Payment
      POST
  • Showmax
    • Get Bouquets
      GET
    • Payment
      POST
  • Gaming
    • Get Providers
    • Validate Account
    • Payment
  • Wallet
    • Balance
  • Education
    • Get Providers
    • Get Exam Types
  • Webhook (reference)
  • Schedule Payments
    • Setup
      • Options
      • Bundles
    • Create
      • Create - Airtime (one time)
      • Create - Data (monthly)
      • Create - Cable TV (monthly)
      • Create - Electricity (weekly)
    • Manage
      • List schedules
      • Get schedule
      • Update schedule
      • Pay now
      • Retry failed run
      • Pause
      • Resume
      • Cancel (archive)
      • Re-enable
      • Delete
  • Bulk Airtime
    • Send bulk airtime
      POST
    • List bulk requests
      GET
    • Get bulk request
      GET
    • Download report (CSV)
      GET
    • Cancel
      POST
    • Query one number
      POST
  1. Bulk Airtime

Query one number

POST
https://api.paybeta.ng/v2/transaction/query
Status of one recipient, with its reference (default <reference>-<row>).

Request

Authorization
Add parameter in header
P-API-KEY
Example:
P-API-KEY: ********************
Header Params

Body Params application/json

Examples

Responses

🟢200Successful
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.paybeta.ng/v2/transaction/query' \
--header 'Accept: application/json' \
--header 'Accept: application/json' \
--header 'P-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
  "reference": "{{batchReference}}-2"
}'
Response Response Example
{
  "status": "successful",
  "message": "Your glo airtime payment is successful",
  "code": "00",
  "data": {
    "paymentStatus": "Delivered",
    "reference": "PAYROLL-OCT-2",
    "amount": 500.0,
    "amountPaid": 480.0,
    "product": "Glo Airtime",
    "customerId": "08051234567",
    "token": "0",
    "unit": null,
    "transactionId": "API-17619840171234567",
    "transactionDate": "2026-10-05T08:00:12.000000Z"
  }
}
Modified at 2026-10-06 21:07:29
Previous
Cancel
Built with